<div>
  <mat-card>
    <h3>{{titulo}}</h3>
    <mat-card-header>
      <form novalidate [formGroup]="form">

        <div fxLayout="row">
          <mat-label class="margin">Filtros</mat-label>

          <mat-form-field fxLayout="column" appearance="outline" fxLayoutGap="20px" class="largura-field">
            <input formControlName="campusNome" type="text" placeholder="Campus" aria-label="Number" matInput
              [matAutocomplete]="auto">
            <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete"  flex="300"
              (optionSelected)="pesquisarPorCampus($event)">
              <mat-option  *ngFor="let option of filteredOptions | async" [value]="option.campus">
                {{option.campus}}
              </mat-option>
            </mat-autocomplete>
            <mat-error *ngIf="getCampo('campusNome').invalid">Dados informados inválidos</mat-error>
          </mat-form-field>

          <mat-label fxLayout="column"  class="marginleft">{{campusSelecionado}}</mat-label>

        </div>

      </form>
    </mat-card-header>
    <mat-card-content>
      <canvas baseChart [datasets]="lineChartData" [labels]="lineChartLabels" [options]="lineChartOptions"
        [colors]="lineChartColors" [legend]="lineChartLegend" [chartType]="lineChartType"></canvas>
    </mat-card-content>

  </mat-card>
</div>